Сайт | Скачать | Видео | Wiki

Автор Тема: Очень нужна программа для КАРАОКЕ для Puppy  (Прочитано 6799 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн oka-volga

  • Постоялец
  • ***
  • Сообщений: 149
  • Репутация: +3/-0
Может кто знает нормальную программу для караоке под linux?

Я перерыл весь Интернет, на сколько терпения хватило ничего кроме PyKaraoke не нашел.
Она Питон требует, может это не страшно? Я не в курсе. Может просто этот питон поставить, тем более в репозитарии он есть.
На самом деле я даже толком не пойму как эту программу установить? Там для нее столько всего нужно!

Или может есть другие программы, посоветуйте очень надо.
« Последнее редактирование: 14 Февраль 2014, 20:13:45 от oka-volga »
PuppyRus - 13.12

Оффлайн oka-volga

  • Постоялец
  • ***
  • Сообщений: 149
  • Репутация: +3/-0
Re:Очень нужна программа для КАРАОКЕ для Puppy
« Ответ #1 : 16 Февраль 2014, 19:30:43 »
Вопрос, конечно не по PR, но пока не теряю надежды получить помощь.

Может найдется человек который сможет потратить немного своего времени и объяснить, а может даже через "дримвивер" поковыряться.

Ну хоть алгоритм действий сказать?
Честно, я сам пока даже не пытался что то сделать, не знаю с какого конца к этому делу подойти?!
PuppyRus - 13.12

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 22708
  • Репутация: +165/-0
    • PuppyRus-A
« Последнее редактирование: 16 Февраль 2014, 23:53:57 от sfs »

Оффлайн oka-volga

  • Постоялец
  • ***
  • Сообщений: 149
  • Репутация: +3/-0
Re:Очень нужна программа для КАРАОКЕ для Puppy
« Ответ #3 : 17 Февраль 2014, 11:46:39 »
Спасибо за ссылку:
Цитировать
https://aur.archlinux.org/packages/?O=0&K=karaoke
Из нее я точно узнал, что существует не одна программа для караоке под linux

Конечно я ждал чуть большей помощи, но спасибо и на этом.

Пройдя по ссылке увидел как минимум 4 программы для караоке.

Наибольшее количество скачиваний у:
    kmid2            2.4.0-1     MIDI/Karaoke player for KDE4
    ultrastardx-svn    1:3004-1    Free and open source karaoke game.

Как я понял kmid2 для KDE4, у меня же не KDE4?!
По этому решил ставить ultrastardx

На первый взгляд все просто, скачал далее запустил ./configure
потребовало: Free Pascal Compiler

Не буду описывать все "танцы с бубном", но на установку Free Pascal Compiler мне потребовалось 4 часа!!!
Вероятно есть более простой и быстрый способ, но к сожалению спросить то не у кого!

И к сожалению на этом проблемы не закончились, ./configure выдает ошибку:
./configure
checking whether make sets $(MAKE)... no
checking whether ln -s works... no, using cp -p
checking for a thread-safe mkdir -p... dists/autogen/install-sh -c -d
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking build system type... Invalid configuration `i686-pc-linux-oldld': machine `i686-pc-linux' not recognized
configure: error: /bin/sh dists/autogen/config.sub i686-pc-linux-oldld failed

Может подскажет кто, чё дальше делать?

А я пока пойду попробую pykaraoke установить.

PuppyRus - 13.12

Оффлайн oka-volga

  • Постоялец
  • ***
  • Сообщений: 149
  • Репутация: +3/-0
Re:Очень нужна программа для КАРАОКЕ для Puppy
« Ответ #4 : 17 Февраль 2014, 11:59:59 »
 ;D ;D ;D

Поторопился писать об ошибке, просто забыл devx включить.

Сейчас не находит libavcodec, пойду в гугл
PuppyRus - 13.12

Оффлайн oka-volga

  • Постоялец
  • ***
  • Сообщений: 149
  • Репутация: +3/-0
Re:Очень нужна программа для КАРАОКЕ для Puppy
« Ответ #5 : 17 Февраль 2014, 12:46:03 »
Казалось,что может быть проще?

Библиотека libavcodec содержится в ffmpeg, который есть в Puppy репозитории.
Но не тут то было!

Нужет какой то libavcodec.pc, а его в ffmpeg из Puppy репозитория НЕТ!

Зря я "бубен" то убрал!
PuppyRus - 13.12

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 22708
  • Репутация: +165/-0
    • PuppyRus-A
Re:Очень нужна программа для КАРАОКЕ для Puppy
« Ответ #6 : 17 Февраль 2014, 12:52:26 »
Караоки на ПК не юзал. Поэтому помочь можно только общими советами:
Компилить src проще и удобнее в PRA. Например pkgfile libavcodec.pc покажет пакет, содержащий файл
Запускать kde проги без kde - плохая идея со всех сторон
python приложения при правильно сконфигуренном python должны работать везде
Цитировать
его в ffmpeg из Puppy репозитория НЕТ!
Не забывайте писать в каком дистре делаете. Puppy много разных
« Последнее редактирование: 17 Февраль 2014, 12:55:13 от sfs »

Оффлайн oka-volga

  • Постоялец
  • ***
  • Сообщений: 149
  • Репутация: +3/-0
Re:Очень нужна программа для КАРАОКЕ для Puppy
« Ответ #7 : 17 Февраль 2014, 13:23:22 »
sfs,спасибо за поддержку!

А то я уже совсем расстроился!

Попробовал установить pykaraoke учтановить

python3 setup.py install
  File "setup.py", line 209
    print "Error, the directory %s already exists." % (self.dist_dir)
                                                  ^
SyntaxError: invalid syntax

И. что дальше?

потратил 5,5 часов, результат 0 !!!
Спрашивается, какой нормальный человек будет тратить столько времени на установку ОДНОЙ программы?!
« Последнее редактирование: 17 Февраль 2014, 15:32:45 от Pro »
PuppyRus - 13.12

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 9678
  • Репутация: +98/-0
Re:Очень нужна программа для КАРАОКЕ для Puppy
« Ответ #8 : 17 Февраль 2014, 14:38:23 »
Нужет какой то libavcodec.pc, а его в ffmpeg из Puppy репозитория НЕТ!
щас выдохну. помимо репозитария пакетов, на сервере есть еще каталог DEV пакетов, эти пакеты (архивы или pfs пакеты) являют собой ту часть пакетов которая нужна только тем кто хочет компилировать. вот там и ищите пакет ffmpeg_dev

Цитировать
Спрашивается, какой нормальный человек будет тратить столько времени на установку ОДНОЙ программы?!
а вы что опытный человек в компиляции программ? нормальный человек вполне разберется, начинающему и 5 часов будет мало ибо вы тратите это время на приобретение опыта.

и ненадо тут буквами большими стращать, ваше неразумение понятно, но терпение падавану нужно тренировать. Мож рассказать как я раньше генту компилировал?
« Последнее редактирование: 17 Февраль 2014, 14:40:33 от Pro »
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 9678
  • Репутация: +98/-0
Re:Очень нужна программа для КАРАОКЕ для Puppy
« Ответ #9 : 17 Февраль 2014, 15:32:15 »
да, насчет python - это наредкость капризная вещь, мало того их две версии разные существует.
Свежая версия 2.7.х и 3.x есть в репозитарии, в дистрибутиве есть специальная урезаная версия 2.5 чтобы занимала минимум места и обемпечивала базовый функционал. Рекомендую определить какую надо и подключить.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн oka-volga

  • Постоялец
  • ***
  • Сообщений: 149
  • Репутация: +3/-0
Re:Очень нужна программа для КАРАОКЕ для Puppy
« Ответ #10 : 17 Февраль 2014, 16:31:08 »
 ;D
Цитировать
нормальный человек вполне разберется, начинающему и 5 часов будет мало
По Вашему выходит, что начинающие и все кто не разбирается в linux и компиляции программ для linux,
не являются нормальными?!!

Да, про
Цитировать
каталог DEV пакетов
слышал.
Но, что с этим DEV пакетом делать я не в курсе, к сожалению.

Возможно караоке программа нужна только мне, но есть куча более нужных программ, которые нужны многим пользователям
и есть огромное количество пользователей, которые пересели бы на Linux, но не хотят или не могут изучать компиляцию программ под linux

Многие даже готовы заплатить, пусть небольшие но деньги!
А кто то может и большие? Кто знает.

И до тех пор, пока по пользователю Linux придется изучать компиляцию, зависимости и прочее,
linux так и останется игрушкой для студентов и бывших студентов интересующихся программированием.

К сожалению "толстые" дистрибутивы тоже не решают полностью данной проблемы, зато превносят "тормоза" и нестабильность системы
Создается даже впечатление, что linux как бытовая OS несостоятельна и на ней возможно выполнять только ограниченный круг специализированных задач.

PuppyRus - 13.12

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 22708
  • Репутация: +165/-0
    • PuppyRus-A
Re:Очень нужна программа для КАРАОКЕ для Puppy
« Ответ #11 : 17 Февраль 2014, 16:39:06 »
Компиляция - 3й уровень. Пройдите первые 2
Линуксов полно. Толстых и тонких. Найдите свой
Не надо отождествлять себя со всеми линукс пользователями и тем более делать от их имени заявления  :)

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 9678
  • Репутация: +98/-0
Re:Очень нужна программа для КАРАОКЕ для Puppy
« Ответ #12 : 18 Февраль 2014, 02:52:24 »
Цитировать
Но, что с этим DEV пакетом делать я не в курсе, к сожалению.
ну если это архив, то заглянуть внутрь и подумать, обычно на этом этапе я ищу дерево каталогов и принимаю решение распаковать в корень так, чтобы дерево каталогов наложилось правильно на существующее. Если это пакет pfs - тогда просто подключить достаточно.

Цитировать
По Вашему выходит, что начинающие и все кто не разбирается в linux и компиляции программ для linux,
не являются нормальными?!!
под нормальным я понимал человека который уже сталкивался с компиляцией.
Определитесь наконец, хотите вы просто иметь программу или важно научиться собирать из исходников. Как только вы ответите на этот вопрос - все сразу станет гораздо яснее.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн oka-volga

  • Постоялец
  • ***
  • Сообщений: 149
  • Репутация: +3/-0
Re:Очень нужна программа для КАРАОКЕ для Puppy
« Ответ #13 : 18 Февраль 2014, 10:21:38 »
Цитировать
Компиляция - 3й уровень. Пройдите первые 2
где то уже писал, считаю, что готов к компиляции, первые 2 уровня не вызывают проблем.

Цитировать
Не надо отождествлять себя со всеми линукс пользователями и тем более делать от их имени заявления
Вам к сведению, заявления, тем более от лица кого то начинаются примерно так:
"От лица всех присутствующих..." или "Выскажу общее мнение...." и т.п.

Я же говорил только от себя и высказывал сугубо личное мнение. Считаю, что думать или высказываться за других совершенно неправильно.

Pro, спасибо за советы!

с DEV немного разобрался.
./configure
прошел!
но далее опять полезли ошибки, с частью я разобрался, но компилятор не находит  "pthreads"

Цитировать
/initrd/mnt/dev_save/my_files/my_projects/Karaoke/ultrastardx-1.1-src/src/lib/JEDI-SDL/SDL/Pas/sdl.pas(324,3) Fatal: Can't find unit pthreads used by sdl
Fatal: Compilation aborted
Error: /usr/bin/ppc386 returned an error exitcode (normal if you did not specify a source file to be compiled)

Искал в google, пока на нашел как победить, поищу еще, конечно.
Но может решение уже есть?
PuppyRus - 13.12

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 9678
  • Репутация: +98/-0
Re:Очень нужна программа для КАРАОКЕ для Puppy
« Ответ #14 : 18 Февраль 2014, 13:05:59 »
ну либо libSDL просит (dev  и библиотеку)
либо pthread но оно вроде есть в системе.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.